Vista Software Requirements

This article details the currently supported versions of the third-party software products that are required to operate Vista applications, servers, and client workstations.

Customers must not upgrade to newer versions of these software products until directed by Viewpoint. As new releases of these products become available, Viewpoint provides compatibility information upon request and advises when a new version is required.

Important: This list is periodically updated. New third-party products are added to take advantage of new features, while older versions of the third-party software on this list could be removed in an upcoming Vista release.

Vista Application and Database Servers

Minimum Server Requirements

Operating System

  • Windows Server 2016
  • Windows Server 2019

No support for Windows Small Business Server / Windows Server Essentials

Microsoft SQL Server

  • Standard or Enterprise versions only
  • 2016 SP2 64-bit only – compatible with Vista version 6.14.0 or later
  • 2017 64-bit only – compatible with Vista version 6.17.0 or later
  • 2019 64-bit only – compatible with Vista version 2020 R2 or later
Note: When installing SQL Server:
  • Full Text Search must be installed
  • Make sure that the default language is English and that server collation is set to Latin1_General_BIN
  • SSRS is required only if you use SSRS reports

Microsoft Edge

Latest version

Microsoft .NET Framework

.NET Framework 4.8

.NET Framework 3.5.1 and/or 4.5.1 is required for SSRS reporting depending on your version of Microsoft SSRS.

Hosting bundle for NETCoreApp 2.2 and NETCoreApp 3.1 are required to be installed on the Vista Application server.
Note: These frameworks will be updated in an upcoming version of Vista.

SMTP Mail Engine

SMTP mail engine is required to take advantage of all application features.

Crystal Reports

We do not recommend installing Crystal Reports Professional on any Viewpoint server console or Terminal Server.

Vista Remote Link (VRL) Reverse Proxy Server

Applies only if you are providing remote client access via the internet. Traditional LAN access does not require use of a reverse proxy server. For more information, see About Vista Remote Link (VRL) On-premises.

Minimum Reverse Proxy Server Requirements

Operating System

  • Windows Server 2016
  • Windows Server 2019

No support for Windows Small Business Server / Windows Server Essentials

Client Workstations

Minimum Client Workstation Requirements

Operating Systems

  • Windows 11 – Recommended
  • Windows 10 – Clients with Windows 10 must have .NET Framework 3.5 installed separately, using Windows media
  • Windows 2012 Terminal Services Client
MS Outlook and MS Office for Vista™ by Viewpoint
  • Supported only when using the applications locally
  • The 64-bit Vista client is compliant with 64-bit versions of Microsoft Office 2019 and above
  • The 32-bit Vista client is compliant with 32-bit versions of Microsoft Office
  • 2013 SP1/2016/2019 versions of all MS Office programs

Microsoft .NET Framework

.NET Framework 4.8 – Install before installing the Vista client

Minimum browser versions for accessing online Vista Help

  • Google Chrome 78.0.3904.97+
  • Firefox 73.0.1+
  • Microsoft Edge 79+
  • Safari 13.1+

For creating Custom Reports

Crystal Reports:

  • Crystal Reports Designer 2013/2016, which includes its own Runtime

Not supported: Crystal Reports Designer 2008/2011

SSRS Reports:

At least one of the following is required.
  • MS SQL Server Data Tools for Visual Studio
  • Latest version of MS SQL Server Report Builder, or the version that goes with your MS SSRS version